/*
 * This Groovy source file was generated by the Gradle 'init' task.
 */
package resume.gradle

import org.gradle.api.Project
import org.gradle.testfixtures.ProjectBuilder

import spock.lang.Specification

/**
 * A simple unit test for the 'resume.gradle' plugin.
 */
public class ResumeGradlePluginTest extends Specification {

     Project project

    def setup() {
        project = ProjectBuilder.builder().build()
    }

    def "plugin registers base tasks"() {
        when:
        project.plugins.apply("resume.gradle")

        then:
        project.tasks.findByName("build") != null
        project.tasks.findByName("clean") != null
        project.tasks.findByName("check") != null
    }

    def "plugin registers resume extension"() {

        when:
        project.plugins.apply("resume.gradle")

        then:
        project.extensions.findByName('resume') != null
    }
}
